Bug 33959 - Нужно пересобрать без gpm и slang
: Нужно пересобрать без gpm и slang
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/mc)
: unstable
: all Linux
: P3 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2017-10-03 13:29 by
Modified: 2018-03-08 16:30 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2017-10-03 13:29:25
... ввиду их клинической дырявости.
------- Comment #1 From 2017-10-03 14:17:56 -------
А что, при этом, отвалится ?
------- Comment #2 From 2017-10-03 14:25:32 -------
Мышовый копипастинг в консоли (да и пес с ним, ибо есть screen).
В терминалах останется.
------- Comment #3 From 2017-10-04 08:23:20 -------
Ну если хотите потоптаться по граблям вслед за RH, можете собрать с ncurses
https://bugzilla.redhat.com/show_bug.cgi?id=1436394
https://bugzilla.redhat.com/show_bug.cgi?id=1440110
Хотя в Альте, может, и не будет такого.

Лично я предпочитаю S-Lang.
------- Comment #4 From 2017-10-04 08:31:52 -------
Не надо отрывать мышу от gpm.
------- Comment #5 From 2017-10-04 08:32:11 -------
В смысле - мышу от mc.
------- Comment #6 From 2017-10-04 09:07:20 -------
(In reply to comment #3)

> https://bugzilla.redhat.com/show_bug.cgi?id=1440110

Мне в 1440110 не очень нравится фраза из комментария 4: "Please note that mc
compiled with ncurses cannot use "Learn Keys" to redefine keys".
------- Comment #7 From 2017-10-04 09:13:41 -------
Андрей, кстати, а когда 4.8.20 планируется ? Изменений, смотрю, много уже
накопилось...
------- Comment #8 From 2017-10-04 09:20:29 -------
(В ответ на комментарий №7)
> Андрей, кстати, а когда 4.8.20 планируется ? Изменений, смотрю, много уже
> накопилось...
Думаю, в этом месяце.
------- Comment #9 From 2017-10-04 11:39:46 -------
Re: #5
Оторвать gpm != оторвать мышЪ
xterm знаешь? никакого gpm нет, а мышЪ есть.
------- Comment #10 From 2017-10-04 11:55:35 -------
(В ответ на комментарий №9)
> xterm знаешь? никакого gpm нет, а мышЪ есть.
Ну gpm-то не для Иксов нужен.
------- Comment #11 From 2017-10-04 11:56:39 -------
(В ответ на комментарий №0)
> ... ввиду их клинической дырявости.

Кстати, о каких дырявостях S-Lang идёт речь?
------- Comment #12 From 2017-10-04 12:22:11 -------
Зафига мне gpm в иксах ?
------- Comment #13 From 2017-10-08 14:25:06 -------
Вопрос до кучи. Пользователи, иногда, хотят красивости:
https://forum.altlinux.org/index.php?topic=38395.0

Это без slang вообще работать не будет ? Или тут ncurses достаточно ?
------- Comment #14 From 2017-12-10 14:40:58 -------
А может, надо оторвать gpm, и обновить libslang2?

slang-2.3.1a.tar.bz2
creation date: 2016-11-25T02:36:45 [GMT]
https://www.jedsoft.org/releases/slang/
------- Comment #15 From 2017-12-11 10:43:26 -------
(In reply to comment #14)

> А может, надо оторвать gpm, и обновить libslang2?

Или оба пакета обновить хотябы: bug 33982 и bug 34315
------- Comment #16 From 2017-12-11 10:44:24 -------
В общем, я так понимаю, что и для gpm замены нет, и для S-Lang, а кому-то
сборка с ними, всё же, нужна. Так что кому-то надо следить за их своевременным
обновлением. Пока закрою с WONTFIX, что ли.
------- Comment #17 From 2017-12-11 10:48:52 -------
Плохо. Ибо gpm при наличии screen реально не нужен (покажите мне админа,
который знает про screen, но не пользуется им), а slang... вообще, конечно,
надо посмотреть, что и как заткнули, но там в целом код написан
неаккуратненько.
------- Comment #18 From 2017-12-11 11:01:59 -------
(In reply to comment #17)

> Плохо. Ибо gpm при наличии screen реально не нужен (покажите мне админа,
> который знает про screen, но не пользуется им)

А как у него, кстати, историю отмотать дальше видимого экрана ? Для mc в screen
может и не актуально, а если просто терминал ? Так что screen или не всегда
удобен, или в ALT что-то не так по-умолчанию у него.
------- Comment #19 From 2017-12-11 11:25:56 -------
Не глядя в мануал нашел способ с включением режима выделения и прокруткой
курсором. Возможно, в `man screen` описаны и другие способы.

А вообще докатились, конечно... в трекере просветительской работой заниматься
приходится :-)
------- Comment #20 From 2017-12-11 13:11:30 -------
(In reply to comment #0)
> ... ввиду их клинической дырявости.

mc нужно не пересобрать, а удалить отовсюду ввиду клинической дырявости.
Использование mc - это просто вредная привычка.
------- Comment #21 From 2017-12-11 13:19:42 -------
(In reply to comment #20)

> Использование mc - это просто вредная привычка.

Нет.
------- Comment #22 From 2017-12-11 13:25:01 -------
Надо. Сразу после systemd и sudo.
Но увы - пипл хавает.
------- Comment #23 From 2017-12-11 16:31:22 -------
(In reply to comment #5)

> В смысле - мышу от mc.

А есть use case на тему, как посмотреть, в каком месте gpm нужен ? Что-то я
попробовал собрать без gpm и различий для себя не увидел. В чистой консоли
вроде не работало и так (а-ля ALT+F2 какой-нибудь), в остальном не вижу
изменений.

Можно попробовать задание 196434, в p8 тоже делает вид, что работает.
------- Comment #24 From 2017-12-11 16:48:00 -------
Попробовал task 196434, на радостях rpm -e libgpm
------- Comment #25 From 2017-12-11 17:01:37 -------
(In reply to comment #24)

> на радостях rpm -e libgpm

ждём ответ Антона. :-)
------- Comment #26 From 2017-12-11 17:15:00 -------
Я попросил протестировать, посмотрим.
------- Comment #27 From 2017-12-11 18:17:48 -------
В графике у меня в mc ничего не отъехало, а в консоли я мышью уже забыл когда
пользовался.
------- Comment #28 From 2017-12-11 19:17:13 -------
Значит ещё подожду до завтра, что на сообщение в sisyphus@ ответят, и отправлю
в таком виде, если никто не поругается.
------- Comment #29 From 2017-12-12 16:47:48 -------
Двое просят не убирать:
https://lists.altlinux.org/pipermail/sisyphus/2017-December/366350.html
------- Comment #30 From 2017-12-12 17:03:37 -------
Гремлин, хорош уже воду мутить - mc от отсутcтвия _lib_ gpm лучше не станет. 

На libslang последний CVE был в прошлом веке, а на gpm - в прошлом десятилетии.
Понятно что внутри они не айс, но и экстренно отрывать там ничего не нужно.
------- Comment #31 From 2017-12-13 09:15:03 -------
Уже трое. 4.8.20-alt1 ушёл в Сизиф с libgpm.
------- Comment #32 From 2018-03-08 16:30:33 -------
Ещё один аргумент против slang: mc по умолчанию предоставляет разные темы с
разным количеством цветов. При попытке выставить тему с 16M цветов получаешь
сообщение:

Unable to use 'seasons-autumn16M' skin with true colors support: True color not
supported in this slang version